_G.thx_morale_boost_options = thx_morale_boost_options or {}
thx_morale_boost_options.path = ModPath
thx_morale_boost_options.save_path = SavePath .. "thx_morale_boost_options.txt"
thx_morale_boost_options.settings = {
	tmb_send_enabled = true
}
	
function thx_morale_boost_options:Save()
	local file = io.open(self.save_path,"w+")
	if file then
		file:write(json.encode(self.settings))
		file:close()
	end
end

function thx_morale_boost_options:Load()
	local file = io.open(self.save_path, "r")
	if (file) then
		for k, v in pairs(json.decode(file:read("*all"))) do
			self.settings[k] = v
		end
	else
		self:Save()
	end
end

Hooks:Add("MenuManagerInitialize", "thx_morale_boost_options_MenuManagerInitialize", function(menu_manager)
	MenuCallbackHandler.thxmoraleboost_msg_callback = function(self,item) 
		local value = item:value() == "on"
		thx_morale_boost_options.settings.tmb_send_enabled = value 
		thx_morale_boost_options:Save()
	end

	
	MenuCallbackHandler.thxmoraleboost_closed = function(self)
		thx_morale_boost_options:Save()
	end
	
	thx_morale_boost_options:Load()
	MenuHelper:LoadFromJsonFile(thx_morale_boost_options.path .. "menu/options.txt", thx_morale_boost_options, thx_morale_boost_options.settings)
end)

Hooks:Add("LocalizationManagerPostInit", "thx_morale_boost_options_LocalizationManagerPostInit", function(loc)
	local t = thx_morale_boost_options.path .. "loc/"
	loc:load_localization_file(t .. "english.txt")
end)